<!doctype html>
<html
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layouts/public.html}"
>
	<head>
		<!-- Primary Meta Tags -->
		<meta name="title" content="Home" />
		<meta name="description" content="Sekolah tinggi manajemen informasi dan komputer Tazkia" />
		<!-- Open Graph / Facebook -->
		<meta property="og:type" content="website" />
		<meta property="og:url" th:content="${baseUrl +'news/'+news.slug}" />
		<meta property="og:title" th:content="${news.title}" />
		<meta property="og:description" content="Sekolah tinggi manajemen informasi dan komputer Tazkia" />
		<meta property="og:image" th:content="${news.thumbnail}" />

		<!-- Twitter -->
		<meta property="twitter:card" content="summary_large_image" />
		<meta property="twitter:url" th:content="${baseUrl +'news/'+news.slug}" />
		<meta property="twitter:title" th:content="${news.title}" />
		<meta property="twitter:description" content="Sekolah tinggi manajemen informasi dan komputer Tazkia" />
		<meta property="twitter:image" th:content="${news.thumbnail}" />
		<title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE" th:text="${news.title}">Judul Berita</title>
	</head>
	<body layout:fragment="content">
		<!-- hiddent -->
		<div class="mt-16 bg-orange-50 pb-28 pt-24">
			<div class="mx-auto max-w-screen-md space-y-2 px-4 text-center">
				<h1 th:utext="${news.title}" class="text-3xl font-semibold text-on-surface-higher md:text-4xl">
					Title
				</h1>
				<div class="flex items-center justify-center divide-x-2 divide-surface-outline-higher">
					<p class="flex items-center gap-2 px-2 text-sm text-on-surface-lower">
						<svg
							xmlns="http://www.w3.org/2000/svg"
							fill="none"
							viewBox="0 0 24 24"
							stroke-width="1.5"
							stroke="currentColor"
							class="size-5"
						>
							<path
								stroke-linecap="round"
								stroke-linejoin="round"
								d="M6.75 3v2.25M17.25 3v2.25M3 18.75V7.5a2.25 2.25 0 0 1 2.25-2.25h13.5A2.25 2.25 0 0 1 21 7.5v11.25m-18 0A2.25 2.25 0 0 0 5.25 21h13.5A2.25 2.25 0 0 0 21 18.75m-18 0v-7.5A2.25 2.25 0 0 1 5.25 9h13.5A2.25 2.25 0 0 1 21 11.25v7.5m-9-6h.008v.008H12v-.008ZM12 15h.008v.008H12V15Zm0 2.25h.008v.008H12v-.008ZM9.75 15h.008v.008H9.75V15Zm0 2.25h.008v.008H9.75v-.008ZM7.5 15h.008v.008H7.5V15Zm0 2.25h.008v.008H7.5v-.008Zm6.75-4.5h.008v.008h-.008v-.008Zm0 2.25h.008v.008h-.008V15Zm0 2.25h.008v.008h-.008v-.008Zm2.25-4.5h.008v.008H16.5v-.008Zm0 2.25h.008v.008H16.5V15Z"
							></path>
						</svg>
						<span th:text="${#temporals.format(news.publishDate, 'dd MMMM yyyy')}">24 December 2024</span>
					</p>
					<p class="flex items-center gap-1 px-2 text-sm text-on-surface-lower">
						<svg
							xmlns="http://www.w3.org/2000/svg"
							fill="none"
							viewBox="0 0 24 24"
							stroke-width="1.5"
							stroke="currentColor"
							class="size-4"
						>
							<path
								stroke-linecap="round"
								stroke-linejoin="round"
								d="M15.75 6a3.75 3.75 0 1 1-7.5 0 3.75 3.75 0 0 1 7.5 0ZM4.501 20.118a7.5 7.5 0 0 1 14.998 0A17.933 17.933 0 0 1 12 21.75c-2.676 0-5.216-.584-7.499-1.632Z"
							/>
						</svg>
						<span th:text="${news.author}">Admin</span>
					</p>
				</div>
			</div>
		</div>
		<!-- content -->
		<div class="mx-auto -mt-16 max-w-screen-md px-4">
			<div>
				<div class="relative aspect-video overflow-hidden rounded-default shadow-xl">
					<img class="h-full w-full object-cover" th:src="${news.thumbnail}" alt="image" />
				</div>
				<div class="content my-6 text-base text-on-surface" th:utext="${news.content}">
					<p>
						Lorem ipsum dolor sit amet consectetur adipisicing elit. Odit assumenda esse repellendus error
						similique itaque tempora minima iure autem aliquam accusamus excepturi facilis eum, in eveniet
						voluptate repudiandae dignissimos beatae?
					</p>
					<p>
						Lorem ipsum dolor sit amet consectetur adipisicing elit. Odit assumenda esse repellendus error
						similique itaque tempora minima iure autem aliquam accusamus excepturi facilis eum, in eveniet
						voluptate repudiandae dignissimos beatae?
					</p>
				</div>
			</div>
		</div>
		<!-- share -->
		<div class="mx-auto mb-8 max-w-screen-md px-4">
			<p class="mb-2 font-semibold text-on-surface-higher">Share</p>
			<div class="flex items-center gap-3">
				<!-- linkedin -->
				<a
					class="rounded-default bg-primary p-2 text-base text-on-primary hover:bg-primary/90"
					th:href="@{https://www.linkedin.com/sharing/share-offsite/?url={baseUrl}news/{slug} (slug = ${news.slug}, baseUrl = ${baseUrl})}"
					target="_blank"
				>
					<svg
						class="size-5"
						aria-hidden="true"
						xmlns="http://www.w3.org/2000/svg"
						width="24"
						height="24"
						fill="currentColor"
						viewBox="0 0 24 24"
					>
						<path
							fill-rule="evenodd"
							d="M12.51 8.796v1.697a3.738 3.738 0 0 1 3.288-1.684c3.455 0 4.202 2.16 4.202 4.97V19.5h-3.2v-5.072c0-1.21-.244-2.766-2.128-2.766-1.827 0-2.139 1.317-2.139 2.676V19.5h-3.19V8.796h3.168ZM7.2 6.106a1.61 1.61 0 0 1-.988 1.483 1.595 1.595 0 0 1-1.743-.348A1.607 1.607 0 0 1 5.6 4.5a1.601 1.601 0 0 1 1.6 1.606Z"
							clip-rule="evenodd"
						/>
						<path d="M7.2 8.809H4V19.5h3.2V8.809Z" />
					</svg>
				</a>
				<!-- facebook -->
				<a
					class="rounded-default bg-primary p-2 text-base text-on-primary hover:bg-primary/90"
					th:href="@{https://www.facebook.com/share.php?u={baseUrl}news/{slug} (slug = ${news.slug}, baseUrl = ${baseUrl})}"
					target="_blank"
				>
					<svg
						class="size-5"
						aria-hidden="true"
						xmlns="http://www.w3.org/2000/svg"
						width="24"
						height="24"
						fill="currentColor"
						viewBox="0 0 24 24"
					>
						<path
							fill-rule="evenodd"
							d="M13.135 6H15V3h-1.865a4.147 4.147 0 0 0-4.142 4.142V9H7v3h2v9.938h3V12h2.021l.592-3H12V6.591A.6.6 0 0 1 12.592 6h.543Z"
							clip-rule="evenodd"
						/>
					</svg>
				</a>
				<!-- whatsapp -->
				<a
					class="rounded-default bg-primary p-2 text-base text-on-primary hover:bg-primary/90"
					th:href="@{https://api.whatsapp.com/send/?text={baseUrl}news/{slug} (slug = ${news.slug}, baseUrl = ${baseUrl})}"
					target="_blank"
				>
					<svg
						class="size-5"
						aria-hidden="true"
						xmlns="http://www.w3.org/2000/svg"
						width="24"
						height="24"
						fill="none"
						viewBox="0 0 24 24"
					>
						<path
							fill="currentColor"
							fill-rule="evenodd"
							d="M12 4a8 8 0 0 0-6.895 12.06l.569.718-.697 2.359 2.32-.648.379.243A8 8 0 1 0 12 4ZM2 12C2 6.477 6.477 2 12 2s10 4.477 10 10-4.477 10-10 10a9.96 9.96 0 0 1-5.016-1.347l-4.948 1.382 1.426-4.829-.006-.007-.033-.055A9.958 9.958 0 0 1 2 12Z"
							clip-rule="evenodd"
						/>
						<path
							fill="currentColor"
							d="M16.735 13.492c-.038-.018-1.497-.736-1.756-.83a1.008 1.008 0 0 0-.34-.075c-.196 0-.362.098-.49.291-.146.217-.587.732-.723.886-.018.02-.042.045-.057.045-.013 0-.239-.093-.307-.123-1.564-.68-2.751-2.313-2.914-2.589-.023-.04-.024-.057-.024-.057.005-.021.058-.074.085-.101.08-.079.166-.182.249-.283l.117-.14c.121-.14.175-.25.237-.375l.033-.066a.68.68 0 0 0-.02-.64c-.034-.069-.65-1.555-.715-1.711-.158-.377-.366-.552-.655-.552-.027 0 0 0-.112.005-.137.005-.883.104-1.213.311-.35.22-.94.924-.94 2.16 0 1.112.705 2.162 1.008 2.561l.041.06c1.161 1.695 2.608 2.951 4.074 3.537 1.412.564 2.081.63 2.461.63.16 0 .288-.013.4-.024l.072-.007c.488-.043 1.56-.599 1.804-1.276.192-.534.243-1.117.115-1.329-.088-.144-.239-.216-.43-.308Z"
						/>
					</svg>
				</a>
				<!-- twitter -->
				<a
					class="rounded-default bg-primary p-2 text-base text-on-primary hover:bg-primary/90"
					th:href="@{https://x.com/share?&amp;url={baseUrl}news/{slug}&amp;text={title} (slug = ${news.slug}, baseUrl = ${baseUrl}, title = ${news.title})}"
					target="_blank"
				>
					<svg
						class="size-5"
						aria-hidden="true"
						xmlns="http://www.w3.org/2000/svg"
						width="24"
						height="24"
						fill="currentColor"
						viewBox="0 0 24 24"
					>
						<path
							d="M13.795 10.533 20.68 2h-3.073l-5.255 6.517L7.69 2H1l7.806 10.91L1.47 22h3.074l5.705-7.07L15.31 22H22l-8.205-11.467Zm-2.38 2.95L9.97 11.464 4.36 3.627h2.31l4.528 6.317 1.443 2.02 6.018 8.409h-2.31l-4.934-6.89Z"
						/>
					</svg>
				</a>
			</div>
		</div>
	</body>
</html>
